FIREWIRE(4)

NAME
firewire - IEEE1394 High-performance Serial Bus

SYNOPSIS
To compile this driver into the kernel, place the following line in your kernel configuration file:

device firewire

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    firewire_load="YES"

DEPRECATION NOTICE
The firewire driver is slated to be removed prior to FreeBSD 16.0.

DESCRIPTION
FreeBSD provides machine-independent bus support and raw drivers for firewire interfaces.

The firewire driver consists of two layers: the controller and the bus layer. The controller attaches to a physical bus (like pci(4)). The firewire bus attaches to the controller. Additional drivers can be attached to the bus.

Up to 63 devices, including the host itself, can be attached to a firewire bus. The root node is dynamically assigned with a PHY device function. Also, the other firewire bus specific parameters, e.g., node ID, cycle master, isochronous resource manager and bus manager, are dynamically assigned, after bus reset is initiated. On the firewire bus, every device is identified by an EUI 64 address.

Debugging over the firewire interface is possible with the dcons(4) driver. Please see https://docs.freebsd.org/en/books/developers-handbook/kerneldebug/#kerneldebug-dcons for details on how to setup debugging with firewire.

FILES
/dev/fw0.0
/dev/fwmem0.0

SEE ALSO
dcons(4), fwe(4), fwip(4), fwohci(4), pci(4), sbp(4), eui64(5), fwcontrol(8), kldload(8), sysctl(8)

HISTORY
The firewire driver first appeared in FreeBSD 5.0.

AUTHORS
-nosplit The firewire driver was written by Katsushi Kobayashi and Hidetoshi Shimokawa for the FreeBSD project.

BUGS
See fwohci(4) for security notes.